<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionRep](./bitburner.singularity.getfactionrep.md)

## Singularity.getFactionRep() method

Get faction reputation.

**Signature:**

```typescript
getFactionRep(faction: FactionName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of faction to work for.


</td></tr>
</tbody></table>

**Returns:**

number

Amount of reputation you have for the specified faction.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function returns the amount of reputation you have for the specified faction.

